# ``twisted`.`conch`.`endpoints`.`_ReadFile``

class documentation

`class _ReadFile: (source)`

View In Hierarchy

A weakly file-like object which can be used with `KnownHostsFile` to respond in the negative to all prompts for decisions.

Method | `__init__` |
Method | `close` | No-op.
Method | `readline` | Always give back the byte string that this `_ReadFile` was initialized with.
Method | `write` | No-op.
Instance Variable | `_contents` | Undocumented

def __init__(self, contents): (source)

Parameters
contents | `bytes` which will be returned from every `readline` call.

def close(self): (source)
No-op.
def readline(self, count=-1): (source)
Always give back the byte string that this `_ReadFile` was initialized with.

Parameters
count | ignored
Returns
`bytes` | A fixed byte-string.

def write(self, data): (source)
No-op.

Parameters
data | ignored

_contents = (source)

Undocumented